## com.imcode.imcms.servlet
Class AdminManagerSearchPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.SearchDocumentsPage
                  com.imcode.imcms.servlet.AdminManagerSearchPage

All Implemented Interfaces:
  DocumentFinderPage, HttpSessionAttribute, java.io.Serializable

    public class AdminManagerSearchPage

extends SearchDocumentsPage

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.imcode.imcms.servlet.SearchDocumentsPage

`DATE_TYPE__ARCHIVED, DATE_TYPE__CREATED, DATE_TYPE__MODIFIED, DATE_TYPE__PUBLICATION_END, DATE_TYPE__PUBLICATION_START, REQUEST_PARAMETER__CANCEL_BUTTON, REQUEST_PARAMETER__DATE_TYPE, REQUEST_PARAMETER__DOCUMENT_TYPE_ID, REQUEST_PARAMETER__DOCUMENTS_PER_PAGE, REQUEST_PARAMETER__END_DATE, REQUEST_PARAMETER__FIRST_DOCUMENT_INDEX, REQUEST_PARAMETER__PHASE, REQUEST_PARAMETER__QUERY_STRING, REQUEST_PARAMETER__SEARCH_BUTTON, REQUEST_PARAMETER__SECTION_ID, REQUEST_PARAMETER__SELECTED_DOCUMENT_ID, REQUEST_PARAMETER__SORT_ORDER, REQUEST_PARAMETER__START_DATE, REQUEST_PARAMETER__TO_EDIT_DOCUMENT_ID, REQUEST_PARAMETER__USER_RESTRICTION, USER_DOCUMENTS_RESTRICTION__DOCUMENTS_CREATED_BY_USER, USER_DOCUMENTS_RESTRICTION__DOCUMENTS_PUBLISHED_BY_USER, USER_DOCUMENTS_RESTRICTION__NONE`

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`AdminManagerSearchPage(AdminManager.AdminManagerPage adminManagerPage)`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.servlet.SearchDocumentsPage

`dispatchCancel, dispatchOther, getDateTypeRestriction, getDocumentFinder, getDocumentsFound, getDocumentsPerPage, getDocumentTypeIds, getFirstDocumentIndex, getFormattedEndDate, getFormattedStartDate, getJSCalender, getParameterStringWithParameter, getPhases, getQuery, getQueryString, getSections, getSelectedDocument, getSortOrder, getUserDocumentsRestriction, setDocumentFinder, setDocumentsFound, updateFromRequest, wasCanceled`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchNotCanceled, dispatchOk, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminManagerSearchPage

    public AdminManagerSearchPage(AdminManager.AdminManagerPage adminManagerPage)

Method Detail

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Overrides:
    `getPath` in class `SearchDocumentsPage`

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    `forward` in interface `DocumentFinderPage`
  Overrides:
    `forward` in class `Page`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`